This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316466 - Parameter alias without value returns http status code 500
Parameter alias without value returns http status code 500
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:48 EST by Juraj Duráni
Modified: 2016-08-24 07:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:46:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4035 Major Closed Parameter alias without value returns http status code 500 2016-06-15 08:36 EDT

  None (edit)
Comment 1 JBoss JIRA Server 2016-03-14 08:50:28 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4035 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-17 11:17:17 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4035 to Resolved
Comment 3 Juraj Duráni 2016-05-20 07:27:41 EDT
Teiid returns HTTP status code 400 with message "Missing alias '@p2'."
But OData service should treat such alias as 'null' and proceed request with that value.

See doc URL in description.
Comment 4 JBoss JIRA Server 2016-05-23 10:53:19 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-4035 to Reopened
Comment 5 JBoss JIRA Server 2016-05-24 07:33:28 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4035 to Resolved
Comment 6 JBoss JIRA Server 2016-06-15 08:36:35 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4035 to Closed

Note You need to log in before you can comment on or make changes to this bug.